# Studyplan user manual

## Overview of configuration parameters

### Studyplan settings

Basic configuration options for the studyplan plug-in

- Default aggregation style
  Select which aggregation style is selected by default upon creation of a new study plan. Setting this according to your preferences, will save you a few clicks when creating a lot of new study plans.
- Course display name
  Select which course field is used as a short course name in the studyplan overview. You can choose between shortname, ID and any custom course field that you already have configured. It is recommended to create a custom course field specifically for the display name in the studyplan, and put the appropriate text there.
  Shortname is often not useful in the studyplan (especially on larger sites), since it requires prefixes/suffixes to ensure unique names.
- Defaults for (Manual) Completed + Required goals
  Here you can enter the default values that will be used for new studyplans using the Manual: Completed + Required goals aggregation method.
  These values can be changed upon creation of a new study plan, but it may save you some time when creating new study plans
  If you only use the Moodle Course completion method, you can safely ignore these parameters.

### Manage study plans

This option is a direct link to the manage studyplans page. It may be useful for administrators.

### Studyplan cohort sync

Here you can configure automatic cohort syncing. This syncronizes the cohorts and students linked with a study plan to enrolment within the courses in the study plan

Cohort syncing is done by creating a cohort sync enrolment method in each course, while students are synced by adding a manual enrolment

- Automatic Cohort sync
  Enable automatic cohort sync here. If enabled, a background process will automatically perform a synchronization each time a cohort is added or removed, and each time a course is added.
- Automatic deletion
  Toggle this to allow or prevent cohort sync enrolments that were created by the studyplan plug-in, when there are no longer any study plans requiring That cohort to be enrolled. Note that individual student enrolments are never automatically deleted.
- Remember existing cohort syncs
  Since there can only be one cohort-sync enrolment for each combination of course and cohort, existing cohort-sync enrolments are marked with the studyplans involved when a studyplan wants them as well. By checking this item, such existing cohort syncs are marked as manual, so they will not be automatically removed when no study plans require them anymore
- Create groups
  If enabled, a group is made in each course for all new cohort-sync enrolments created by the studyplan plugin. These groups contain all students in this specific cohort.
- Enrol linked users
  You can choose to include linked users in the synchronization or not. Default is yes, since it would be unexpected behaviour if cohorts were automatically synced, but users were not.
- Role
  Choose the role that will be given in a course to all cohorts and users automatically synced based on their association in a study plan. Usually you want this to be a student role.

### Configure grade & scale interpretation

See the Advanced / Grade & Scale interpretation section for more details on this configuration page

## Theming guide

A number of colors in the studyplan plugin are based on the colors you define in your theme for primary (brand color), secondary, success, info, warning and danger

You may be able to define them in your theme's configuration. If not, follow the instructions below for tweaking other colors and use the following code as a starting point. (The values are the default boost theme colors)

    :root {
        --primary: #023C78;
        --secondary: #6c757d;
        --success: #28a745;
        --info: #17a2b8;
        --warning: #ffc107;
        --danger: #dc3545;
        --light: #f8f9fa;
        --dark: #343a40;
        }

### Tweaking other colors

There are some other custom css variables which you can tweak to change the styling. An overview:

Color | Usage | Default value
--- | --- | ---
--highlight | Highlighting of active period | Bootstrap css var(--info)
--past | Tag color for past courses or studyplans/pages | var(--purple)
--present | Tag color for active courses or studyplans/pages | var(--blue)
--future | Tag color for future/upcoming courses or studyplans/pages | var(--gray)
--coursecat-list | Icon color of course categories in the studyplan editor toolbox | var(--blue)
--course-list | Icon color of courses in the studyplan editor toolbox | var(--green)
--excellent | Indicator color for excellent results | var(--blue)
--pending | Indicator color for results pending grading. | var(--gray)
--incomplete | Indication color for incomplete results | var(--gray)

Fore example, in the Boost theme the option is found in Appearance -> (Themes) -> Boost -> Advanced settings -> Raw SCSS

There, use code like the following to change these color variables. (The value showin in the code is the default value used in the plugin)

    :root {
        --highlight: var(--info);
        --past: var(--purple);
        --present: var(--blue);
        --future: var(--gray);
        --coursecat-list: var(--blue);
        --course-list: var(--green);
        --excellent: var(--blue);
        --pending: var(--gray);
        --incomplete: var(--gray);
        }